//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
BOOL TForm1::LoadPdfToSwfDll()
{
	m_hinstLib = LoadLibrary("pdftoswf.dll");
	if( m_hinstLib == NULL ){ 
		return FALSE;
	}

	pMBegin = (MBegin *)GetProcAddress(m_hinstLib, "MBegin");
	if( pMBegin == NULL ){ 
		FreePdfToSwfDll(); 
		return FALSE;
	}
	pMSetParam = (MSetParam *)GetProcAddress(m_hinstLib, "MSetParam");
	if( pMSetParam == NULL ){ 
		FreePdfToSwfDll(); 
		return FALSE;
	}
	pMConvert = (MConvert *)GetProcAddress(m_hinstLib, "MConvert");
	if( pMConvert == NULL ){ 
		FreePdfToSwfDll(); 
		return FALSE;
	}
	pMEnd = (MEnd *)GetProcAddress(m_hinstLib, "MEnd");
	if( pMEnd == NULL ){ 
		FreePdfToSwfDll(); 
		return FALSE;
	}
    
	return TRUE;
}
//---------------------------------------------------------------------------
BOOL TForm1::FreePdfToSwfDll()
{
	if( m_hinstLib ){
        FreeLibrary(m_hinstLib);
	}                 
	return TRUE;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{
	if( LoadPdfToSwfDll() == FALSE ){
		ShowMessage("Load pdftoswf.dll failed!");
		return;
	}

	long id = pMBegin();
	if(id>0){
		pMSetParam(id,M_PAGE_RANGE,"3,5-7,18-",0);
		pMSetParam(id,M_VERSION,"",8);	
		pMSetParam(id,M_FRAMERATE,"0.5",0);	
		pMSetParam(id,M_JPEG_QUALITY,"",85);	

		pMConvert(id,"test.pdf","","");
		pMEnd(id);
	}	

	FreePdfToSwfDll();
	ShowMessage("Convert finished!");
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button2Click(TObject *Sender)
{
	if( LoadPdfToSwfDll() == FALSE ){
		ShowMessage("Load pdftoswf.dll failed!");
		return;
	}

	long id = pMBegin();
	if(id>0){
		pMSetParam(id,M_ARROW,"",1);
		pMSetParam(id,M_PAGE_ZOOM,"",96);		
		pMSetParam(id,M_DISABLELINKS,"",1);
		pMSetParam(id,M_BITMAPS,"",1);
		pMConvert(id,"test.pdf","","out.swf");
		pMEnd(id);
	}

	FreePdfToSwfDll();
	ShowMessage("Convert finished!");
}
//---------------------------------------------------------------------------
